package org.springblade.enterprise.feign;

import org.springblade.enterprise.entity.Project;
import org.springblade.enterprise.vo.ProjectVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ProjectClientFallback implements IProjectClient {
            /**
         * 详情
         */
        @Override
        public ProjectVO detail(Project project) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<ProjectVO> list(Project project) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( Project project) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( Project project) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( Project project) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
